QT5OPTIONS(7)

NAMN
qt5options - Gemensamma kommandoradsväljare för alla program som är baserade på QT-verktygslådan

SYNOPSIS

Qt-program [-style= stil / -style stil] [-stylesheet= stilmall / -stylesheet stilmall] [-widgetcount] [-reverse] [-qmljsdebugger= port] [-platform plattformsnamn[:alternativ]] [-platformpluginpath sökväg] [-platformtheme plattformstema] [-plugin insticksmodul] [-qwindowgeometry geometri] [-qwindowicon ikon] [-qwindowtitle namn] [-reverse] [-session session] [-display värddatornamn:skärmnummer] [-geometry geometri] [-dialogs= [xp|none]] [-fontengine= freetype] [-h, --help och -? på Windows] [-v --version]

VÄLJARE

Följande väljare gäller alla program som använder Qt(TM):

-style= stil / -style stil
    Ställ in stilen för programmets grafiska användargränssnitt. Möjliga värden beror på systeminställningen. Om Qt kompileras med ytterligare stilar eller har ytterligare stilar som insticksmoduler är de tillgängliga för kommandoradsväljaren -style.

-stylesheet= stilmall / -stylesheet stilmall
    Ställ in programmets stilmall. Värdet måste vara en sökväg till en fil som innehåller stilmallen.

-widgetcount
    Skriv ut felsökningsmeddelanden i slutet om antal oförstörda grafiska komponenter som är kvar och maximalt antal grafiska komponenter som existerade samtidigt.

-reverse
    Ställ in programmets layoutriktning till Qt::RightToLeft. Alternativet är avsett att hjälpa till vid felsökning och ska inte användas i produktion. Standardvärdet detekteras automatiskt från användarens landsinställningar (se också QLocale::textDirection()).

-qmljsdebugger= port
    Aktive QML/JS-avlusare med en angiven port. Värdet måste ha formatet port:1234[,block], där block är valfritt och gör att programmet väntar till avlusaren ansluter till den.

-platform plattformsnamn[:alternativ]
    Ange insticksmodulen Qt Platform Abstraction (QPA).

-platformpluginpath sökväg
    Ange sökvägen till plattformens insticksmoduler.

-platformtheme plattformstema
    Ange plattformens tema.

-plugin insticksmodul
    Ange ytterligare insticksmoduler att ladda. Argumentet kan användas flera gånger.

-qwindowgeometry geometri
    Ange fönstergeometri för huvudfönstret med X11-syntax. Exempelvis: -qwindowgeometry 100x100+50+50

-qwindowicon ikon
    Ställ in förvald fönsterikon.

-qwindowtitle namn
    Ställ in det första fönstrets namn.

-session session
    Återställ programmet från en tidigare session.

-display värddatornamn:skärmnummer
    Byt skärm på X11. Överskrider miljövariabeln DISPLAY.

-geometry geometri
    Ange fönstergeometri för huvudfönstret på X11. Exempelvis: -geometry 100x100+50+50.

-dialogs= [xp|none]
    Bara tillgänglig för -platform windows. Värdet xp använder XP-liknande inbyggda dialogrutor och none inaktiverar dem.

-fontengine= freetype
    Använd teckensnittsverktyget FreeType.

-h, --help och -? på Windows
    Skriv ut alla alternativ och programmets beskrivning.

-v --version
    Visa programmets versionssträng.

SE OCKSÅ

kf5options(7)

UPPHOVSMÄN

Manualsidan ursprungligen skriven av Lauri Watts <lauri@kde.org>

Uppdaterade till Ramverk 5 av Burkhard Lück <lueck@hube-lueck.de>

Informationen för den här manualsidan är från dokumentationen för QApplication[1], dokumentationen för QGuiApplication[2] och dokumentationen för QCommandLineParser[3].

AUTHORS

Lauri Watts <lauri@kde.org>
    Author.

Burkhard Lück <lueck@hube-lueck.de>
    Author.

NOTER

1.  dokumentationen för QApplication
    https://doc.qt.io/qt-5/qapplication.html#QApplication

2.  dokumentationen för QGuiApplication
    https://doc.qt.io/qt-5/qguiapplication.html#QGuiApplication

3.  dokumentationen för QCommandLineParser
    https://doc.qt.io/qt-5/qcommandlineparser.html